Name:           xnoise-plugins-core
Version:        0.1.6
Release:        2%{?dist}
Summary:        Core plugins for xnoise

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://www.xnoise-media-player.com/
Source0:        http://xnoise.googlecode.com/files/%{name}-%{version}.tar.gz
# http://code.google.com/p/xnoise/issues/detail?id=46
Patch0:         %{name}-0.1.6-no_bold.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  xnoise-devel = %{version}
BuildRequires:  gstreamer-plugins-base-devel
BuildRequires:  intltool
BuildRequires:  libnotify-devel
BuildRequires:  libsoup-devel
BuildRequires:  libxml2-devel
BuildRequires:  sqlite-devel
BuildRequires:  taglib-devel
BuildRequires:  unique-devel

%description
This package contains the core plugins for xnoise. Their usage with
xnoise is optional.

%if 0%{?_with_devel:1}
%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains the pkg-config configuration file
for developing additional xnoise plugins.
%endif


%prep
%setup -q
%patch0 -p1 -b .no_bold


%build
# these plugins are currently unstable
%configure \
  --disable-mediawatcher \
  --disable-lastfm-covers
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
# remove invalid locale file
rm -rf $RPM_BUILD_ROOT%{_share}/locale/default
%if 0%{!?_with_devel:1}
# Remove unneeded pkgconfig file
rm $RPM_BUILD_ROOT%{_libdir}/pkgconfig/%{name}-1.0.pc
%endif
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS
# TODO
# switch ownership of directory itself to the core xnoise package and
# enable the line below
#{_libdir}/xnoise/*
%{_libdir}/xnoise
# the license files included here are not used (yet)
%exclude %{_datadir}/xnoise-plugins-core

%if 0%{?_with_devel:1}
%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/%{name}-1.0.pc
%endif



%changelog
* Sat Jul  3 2010 Michel Salim <salimma@fedoraproject.org> - 0.1.6-2
- Add missing BR on intltool
- notification plugin: remove <b>...</b> formatting
- disable mediawatcher and lastfm-covers plugins for now

* Thu Jun 24 2010 Michel Salim <salimma@fedoraproject.org> - 0.1.6-1
- Initial package
